%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Just a little test to make sure our inverse and forward
% kinematic functions work...
%
% Dan Morris, Stanford University, 2003
% http://techhouse.brown.edu/~dmorris
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

x_base = 0;
y_base = 0;
x_goal = [0.7 1.1];
y_goal = [1.2 0.3];
a1 = 1.0;
a2 = 1.0;
elbow_up = 0;

[theta1 theta2] = inv_kin(x_base,y_base,x_goal,y_goal,a1,a2,elbow_up);
[x,y,x1,y1] = forward_kin(x_base,y_base,theta1,theta2,a1,a2);

figure(1);
plot(x_base,y_base,'r*');
plot(x_goal,y_goal,'g*');

for(i=1:length(x_goal))
    line([x_base x1(i)],[y_base y1(i)]);
    line([x1(i) x(i)],[y1(i) y(i)]);
end
